Subject: xterm has GI_TYPELIB_PATH set when started via gdm via fluxbox

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 3 Nov 2020 10:59:10 +0100

Hi,

this is one of the bug reports in the aftermath of the problem I had outlined
in "GNOME in Guix" thread.

Currently, even when using xterm, started by fluxbox, started by gdm-x-session,
the environment variable GI_TYPELIB_PATH is set inside the shell started by
that xterm.

Please don't do set GI_TYPELIB_PATH that way.